/*****************************************************************************/
/* grcmob.h
/*
/*
/* Author:  Juan-Carlos Cano
/*          jucano@disca.upv.es
/*
/*****************************************************************************/
#ifndef GRCMOB_H
#define GRCMOB_H

// Node position (X, Y, Z)


#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>





//#include <unistd.h>
//#include <getopt.h>


struct position
{

   double X;
   double Y;
   double Z;
} ;
typedef struct position POSITION;


// Node Structure

struct node
{
	int index;

	POSITION initial_position;
	POSITION actual_position;
	POSITION target_position;

	double speed;


} ;

typedef struct node NODE;


struct pursue{

	POSITION pursue_pos;
	double time_arrival;

};

typedef struct pursue PURSUE;

#endif
